package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

import java.util.List;

public class SegmentationConfigRequest {


    /**
     * 切分类型
     * DEFAULT 默认-分片大小
     * IDENTIFIER 标识符或正则表达式
     * SEMANTIC 语义切分
     */
    private String segmentationType;


    /**
     * 大分片大小
     */
    private int chunkSize;

    /**
     * 小分片大小
     */
    private int scrapSize;

    /**
     * 分片重复率
     */
    private int repetitionRate;

    /**
     * 关联信息
     */
    private List<String> relationInfo;


    /**
     * 自定义正则
     */
    private String regex;

    /**
     * 标点符号
     */
    private List<String> punctuations;


    public String getSegmentationType() {
        return segmentationType;
    }

    public void setSegmentationType(String segmentationType) {
        this.segmentationType = segmentationType;
    }

    public int getChunkSize() {
        return chunkSize;
    }

    public void setChunkSize(int chunkSize) {
        this.chunkSize = chunkSize;
    }

    public int getScrapSize() {
        return scrapSize;
    }

    public void setScrapSize(int scrapSize) {
        this.scrapSize = scrapSize;
    }

    public int getRepetitionRate() {
        return repetitionRate;
    }

    public void setRepetitionRate(int repetitionRate) {
        this.repetitionRate = repetitionRate;
    }

    public List<String> getRelationInfo() {
        return relationInfo;
    }

    public void setRelationInfo(List<String> relationInfo) {
        this.relationInfo = relationInfo;
    }

    public String getRegex() {
        return regex;
    }

    public void setRegex(String regex) {
        this.regex = regex;
    }

    public List<String> getPunctuations() {
        return punctuations;
    }

    public void setPunctuations(List<String> punctuations) {
        this.punctuations = punctuations;
    }
}
